Skip to main content
`Ctrl`+`K`

# PEPRefineGetKSP

Obtain the `KSP` object used by the eigensolver object in the refinement phase.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPRefineGetKSP(PEP pep,KSP *ksp)

Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- ksp - the linear solver context

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetRefine()`

## Level

advanced

## Location

src/pep/interface/pepbasic.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages